# DOMDocumentTraversal.hpp File Reference

`#include <xercesc/util/XercesDefs.hpp>`

Include dependency graph for DOMDocumentTraversal.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | xercesc

## Classes

class | xercesc::DOMDocumentTraversal
| `DOMDocumentTraversal` contains methods that create `DOMNodeIterators` and `DOMTreeWalkers` to traverse a node and its children in document order (depth first, pre-order traversal, which is equivalent to the order in which the start tags occur in the text representation of the document). More...